const bazaarvoice = require('../src');

exports.desc = 'Get product reviews for a product ID';
exports.command = 'get-product-reviews [productId]';

exports.handler = async (config = {}) => {
  const { host, apiKey, apiVersion, productId } = config;
  const client = bazaarvoice({ host, apiKey, apiVersion });

  try {
    const reviews = await client.getProductReviews(productId);

    console.log(JSON.stringify(reviews, null, 2));
    process.exit(0);
  } catch(err) {
    console.error(err.message);
    process.exit(1);
  }
};
